Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230351 - jMicro metadata label oddity, Intel SW raid in RAID5 mode unknown to DM
Summary: jMicro metadata label oddity, Intel SW raid in RAID5 mode unknown to DM
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dmraid
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Heinz Mauelshagen
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-28 15:28 UTC by matti aarnio
Modified: 2008-05-07 01:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 01:14:58 UTC


Attachments (Terms of Use)
dmraid -n dump of ISW in RAID5 mode + jMicro dump (deleted)
2007-02-28 15:28 UTC, matti aarnio
no flags Details
dmraid -n dump of ISW in RAID0 mode + jMicro dump (deleted)
2007-02-28 15:29 UTC, matti aarnio
no flags Details
dmraid -n dump of ISW in RAID1 mode + jMicro dump (deleted)
2007-02-28 15:30 UTC, matti aarnio
no flags Details
dmraid -n dump of ISW in RAID10 mode + jMicro dump (deleted)
2007-02-28 15:31 UTC, matti aarnio
no flags Details

Description matti aarnio 2007-02-28 15:28:14 UTC
Description of problem:
  * jMicro metadata processing mistreats bios-entered label somehow, and
    ends up with a Ctrl-A (char-code 1) as the last character of the label.
  * isw does not know RAID5 mode.

Version-Release number of selected component (if applicable):
  kernel-2.6.20-1.2949.fc7
  dmraid-1.0.0.rc14-2.fc7
  device-mapper-1.02.17-6.fc7
  device-mapper-libs-1.02.17-6.fc7
  device-mapper-multipath-0.4.7-5
  device-mapper-libs-1.02.17-6.fc7

How reproducible:
  Mode "RAID5" does not work, others apparently do.

Steps to Reproduce:
1. Have "Abit AB9 Pro" board with lattest BIOS and 4+2 SATA-disks attached.
2. Configure jMicro interface to be in RAID mode, and configure it to have
   mirrored disks with a label.
3. Configure sysboard ICH8R to be in RAID mode, and try various disk setups..

Actual results:
  * jMicro /dev/mapper/ labels are rather ugly...
  * FC6 didn't understand this ISW at all, currect versions of  dmraid do..

Expected results:
  * No "^A" in jMicro labels...
  * ISW RAID5 support (would be nice)

Additional info:
  "dmraid -n"  dumps in attachments.

Comment 1 matti aarnio 2007-02-28 15:28:14 UTC
Created attachment 148927 [details]
dmraid -n  dump of ISW in RAID5 mode + jMicro dump

Comment 2 matti aarnio 2007-02-28 15:29:56 UTC
Created attachment 148928 [details]
dmraid -n  dump of ISW in RAID0 mode + jMicro dump

Comment 3 matti aarnio 2007-02-28 15:30:54 UTC
Created attachment 148929 [details]
dmraid -n  dump of ISW in RAID1 mode + jMicro dump

Comment 4 matti aarnio 2007-02-28 15:31:44 UTC
Created attachment 148930 [details]
dmraid -n  dump of ISW in RAID10 mode + jMicro dump

Comment 5 matti aarnio 2007-02-28 15:54:23 UTC
I suspect that the jMicro label reading runs looking for zero-terminated string,
and thus runs over the 16 character array for the label to whatever is behind it.


The jMicro volume labels are padded with spaces, which did produce mighty odd
looking results in  /dev/mapper/  when the label is shorter than 16 characters.
That "Ctrl-A" is there then also at 17th position of the label string.

Should the DMRAID tool be modified to drop/mutate non-printable characters ?
Turning them all to underscores or hyphens ?  What about "/" in the label ?


Comment 6 aravind.parchuri 2007-04-25 13:58:30 UTC
Jmicron label bug still present in fc7 test 3. Bug prevents grub installation
and prevents bootup after installation. 

There's a patch on the ataraid list. Please put it in:
https://www.redhat.com/archives/ataraid-list/2007-February/msg00003.html


Comment 7 Bug Zapper 2008-04-03 19:17:37 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 8 Bug Zapper 2008-05-07 01:14:56 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.